package com.example.clickme;
import android.content.Intent;
import android.widget.SeekBar;
import android.widget.Toast;
import android.app.Activity;
import android.hardware.Camera;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.content.pm.PackageManager;
import android.content.Context;
import android.provider.Settings;



public class MainActivity extends Activity {

    boolean light_on = false;
    boolean patron_running = false;
    private Camera camera;
    int brightness;
    Camera.Parameters parameters;
    Context context;
    SeekBar seekBar;
    Button flashlight, calculadora ;


    @Override
    public void onCreate(Bundle icicle) {
        super.onCreate(icicle);
        setContentView(R.layout.activity_main);



        //Brillo pantalla

        seekBar = (SeekBar)findViewById(R.id.light_bar);
        context = getApplicationContext();
        brightness = Settings.System.getInt(context.getContentResolver(),Settings.System.SCREEN_BRIGHTNESS,0);
        seekBar.setProgress(brightness*100/255);
        seekBar.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener() {

            @Override
            public void onProgressChanged(SeekBar seekBar, int i, boolean b) {
                Settings.System.putInt(context.getContentResolver(),Settings.System.SCREEN_BRIGHTNESS,i*255/100);

            }

            @Override
            public void onStartTrackingTouch(SeekBar seekBar) {

            }

            @Override
            public void onStopTrackingTouch(SeekBar seekBar) {

            }
        });


        //Linterna

        flashlight = (Button) findViewById(R.id.on_off);
        flashlight.setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View v) {
                ON_OFF();

            }
        });

        calculadora = (Button) findViewById(R.id.calculadora);
        calculadora.setOnClickListener(new View.OnClickListener() {

            @Override
            public void onClick(View v) {

                StartCalculator();
            }
        });


    }

    private void ON_OFF() {
        if (light_on == false) {
            ON();
        } else {
            OFF();
        }
    }

    public Boolean deviceHasFlashlight () {
        Context context = this;
        PackageManager packageManager = context.getPackageManager();

        if (packageManager.hasSystemFeature(PackageManager.FEATURE_CAMERA_FLASH)) {
            return true;
        } else {
            return false;
        }
    }

    private void ON () {
        if (deviceHasFlashlight()) {
            if (camera==null){
                camera = Camera.open();
            }
            parameters = camera.getParameters();
            parameters.setFlashMode(Camera.Parameters.FLASH_MODE_TORCH);
            camera.setParameters(parameters);
            camera.startPreview();
            light_on = true;
        }

        else {
            Toast.makeText(getApplicationContext(),
                    "El dispositivo no tiene flash",
                    Toast.LENGTH_LONG).show();
        }
    }

    private void OFF () {

        if (camera != null) {
            parameters = camera.getParameters();
            if (parameters.getFlashMode().equals(Camera.Parameters.FLASH_MODE_TORCH)) {
                parameters.setFlashMode(Camera.Parameters.FLASH_MODE_OFF);
                camera.setParameters(parameters);
            }
        }

        //camera.stopPreview();
        //camera.release();
        light_on = false;
    }

    @Override
    public void onStop() {
        super.onStop();

        // Turn off the flashlight if api level < 14 as leaving it on would result in a FC
        if (Integer.valueOf(android.os.Build.VERSION.SDK) < 14 || light_on == false) {
            OFF();

            // Turn off the cam if it is on
            if (camera != null) {
                camera.release();
                camera = null;
            }
        }
    }

    public void StartCalculator(){
        Intent i = new Intent(this, Calculadora.class);
        startActivity(i);
    }




}






